
package nccloud.zjnytwo_cd.zjnytwo_cd.lettercredithvo.action;

import nc.bs.logging.Logger;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditBillVO;
import nc.vo.pub.BusinessException;
import nccloud.framework.core.exception.ExceptionUtils;
import nccloud.framework.web.container.IRequest;
import nccloud.zjnytwo_cd.zjnytwo_cd.lettercredithvo.zjnytwo_cd.bean.BillOperatorParam;
import nccloud.zjnytwo_cd.zjnytwo_cd.lettercredithvo.zjnytwo_cd.util.CommonUtil;

public class LettercreditHVOUnCommitAssignAction
    extends AbstractUnCommitAssignAction<LettercreditBillVO> {

  @Override
  public Object doAction(IRequest request) {
    BillOperatorParam operaParam = this.getRequestParam(request);
    Object result = null;
    try {
  LettercreditBillVO[] operaVOs = this.queryBillsByPks(operaParam);
      CommonUtil.setBillsTs(operaParam.getPkMapTs(), operaVOs);
      Object resultVOs = this.unCommit(operaVOs);
      result = this.buildFontResult(operaParam, resultVOs);
    }
    catch (BusinessException ex) {
      Logger.error(ex.getMessage(), ex);
      ExceptionUtils.wrapException(ex);
    }
    return result;
  }

}
