
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankaccountsHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankaccountshvoMaintain;
import nc.vo.zjnytwo_cd.bankaccounts.BankaccountsBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H1_DELETE extends AbstractPfAction<BankaccountsBillVO> {

        @Override
        protected CompareAroundProcesser<BankaccountsBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankaccountsBillVO> processor = new CompareAroundProcesser<BankaccountsBillVO>(
                                BankaccountsHVOPluginPoint.SCRIPT_DELETE);
                // TODO 在此处添加前后规则
                return processor;
        }

        @Override
        protected BankaccountsBillVO[] processBP(Object userObj,
                        BankaccountsBillVO[] clientFullVOs, BankaccountsBillVO[] originBills) {
                IBankaccountshvoMaintain operator = NCLocator.getInstance().lookup(
                                IBankaccountshvoMaintain.class);
                try {
                        operator.delete(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return clientFullVOs;
        }

}
