
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.LettercreditHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.bs.pubapp.pub.rule.ApproveStatusCheckRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.ILettercredithvoMaintain;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H2_APPROVE extends AbstractPfAction<LettercreditBillVO> {

        public N_99H2_APPROVE() {
                super();
        }

        @Override
        protected CompareAroundProcesser<LettercreditBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<LettercreditBillVO> processor = new CompareAroundProcesser<LettercreditBillVO>(
                                LettercreditHVOPluginPoint.APPROVE);
                processor.addBeforeRule(new ApproveStatusCheckRule());
                return processor;
        }

        @Override
        protected LettercreditBillVO[] processBP(Object userObj,
                        LettercreditBillVO[] clientFullVOs, LettercreditBillVO[] originBills) {
                LettercreditBillVO[] bills = null;
                ILettercredithvoMaintain operator = NCLocator.getInstance().lookup(
                                ILettercredithvoMaintain.class);
                try {
                        bills = operator.approve(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return bills;
        }

}
