
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankcreditHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.bs.pubapp.pub.rule.UncommitStatusCheckRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankcredithvoMaintain;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H3_UNSAVEBILL extends AbstractPfAction<BankcreditBillVO> {

        @Override
        protected CompareAroundProcesser<BankcreditBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankcreditBillVO> processor = new CompareAroundProcesser<BankcreditBillVO>(
                                BankcreditHVOPluginPoint.UNSEND_APPROVE);
                // TODO 在此处添加前后规则
                //processor.addBeforeRule(new UncommitStatusCheckRule());

                return processor;
        }

        @Override
        protected BankcreditBillVO[] processBP(Object userObj,
                        BankcreditBillVO[] clientFullVOs, BankcreditBillVO[] originBills) {
                IBankcredithvoMaintain operator = NCLocator.getInstance().lookup(
                                IBankcredithvoMaintain.class);
                BankcreditBillVO[] bills = null;
                try {
                        bills = operator.unsave(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return bills;
        }

}
