
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankloanHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.bs.pubapp.pub.rule.UncommitStatusCheckRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankloanhvoMaintain;
import nc.vo.zjnytwo_cd.bankloan.BankloanBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H4_UNSAVEBILL extends AbstractPfAction<BankloanBillVO> {

        @Override
        protected CompareAroundProcesser<BankloanBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankloanBillVO> processor = new CompareAroundProcesser<BankloanBillVO>(
                                BankloanHVOPluginPoint.UNSEND_APPROVE);
                // TODO 在此处添加前后规则
                //processor.addBeforeRule(new UncommitStatusCheckRule());

                return processor;
        }

        @Override
        protected BankloanBillVO[] processBP(Object userObj,
                        BankloanBillVO[] clientFullVOs, BankloanBillVO[] originBills) {
                IBankloanhvoMaintain operator = NCLocator.getInstance().lookup(
                                IBankloanhvoMaintain.class);
                BankloanBillVO[] bills = null;
                try {
                        bills = operator.unsave(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return bills;
        }

}
