
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;


import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankcreditHVOPluginPoint;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditBillVO;
import nc.impl.pubapp.pattern.data.bill.template.DeleteBPTemplate;
import nc.impl.pubapp.pattern.rule.processer.AroundProcesser;
import nc.impl.pubapp.pattern.rule.IRule;


/**
 * 标准单据删除BP
 */
public class AceBankcreditHVODeleteBP {

        public void delete(BankcreditBillVO[] bills) {

                DeleteBPTemplate<BankcreditBillVO> bp = new DeleteBPTemplate<BankcreditBillVO>(
BankcreditHVOPluginPoint.DELETE);
                // 增加执行前规则
                this.addBeforeRule(bp.getAroundProcesser());
                // 增加执行后业务规则
                this.addAfterRule(bp.getAroundProcesser());
                bp.delete(bills);
        }

        private void addBeforeRule(AroundProcesser<BankcreditBillVO> processer) {
                // TODO 前规则
//              IRule<BankcreditBillVO> rule = null;
//              rule = new nc.bs.pubapp.pub.rule.BillDeleteStatusCheckRule();
//              processer.addBeforeRule(rule);
        }

        /**
         * 删除后业务规则
         *
         * @param processer
         */
        private void addAfterRule(AroundProcesser<BankcreditBillVO> processer) {
                // TODO 后规则

        }
}
