
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;


import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.LettercreditHVOPluginPoint;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditBillVO;
import nc.impl.pubapp.pattern.data.bill.template.DeleteBPTemplate;
import nc.impl.pubapp.pattern.rule.processer.AroundProcesser;
import nc.impl.pubapp.pattern.rule.IRule;


/**
 * 标准单据删除BP
 */
public class AceLettercreditHVODeleteBP {

        public void delete(LettercreditBillVO[] bills) {

                DeleteBPTemplate<LettercreditBillVO> bp = new DeleteBPTemplate<LettercreditBillVO>(
LettercreditHVOPluginPoint.DELETE);
                // 增加执行前规则
                this.addBeforeRule(bp.getAroundProcesser());
                // 增加执行后业务规则
                this.addAfterRule(bp.getAroundProcesser());
                bp.delete(bills);
        }

        private void addBeforeRule(AroundProcesser<LettercreditBillVO> processer) {
                // TODO 前规则
//              IRule<LettercreditBillVO> rule = null;
//              rule = new nc.bs.pubapp.pub.rule.BillDeleteStatusCheckRule();
//              processer.addBeforeRule(rule);
        }

        /**
         * 删除后业务规则
         *
         * @param processer
         */
        private void addAfterRule(AroundProcesser<LettercreditBillVO> processer) {
                // TODO 后规则

        }
}
