
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankloanHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.bs.pubapp.pub.rule.ApproveStatusCheckRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankloanhvoMaintain;
import nc.vo.zjnytwo_cd.bankloan.BankloanBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H4_APPROVE extends AbstractPfAction<BankloanBillVO> {

        public N_99H4_APPROVE() {
                super();
        }

        @Override
        protected CompareAroundProcesser<BankloanBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankloanBillVO> processor = new CompareAroundProcesser<BankloanBillVO>(
                                BankloanHVOPluginPoint.APPROVE);
                processor.addBeforeRule(new ApproveStatusCheckRule());
                return processor;
        }

        @Override
        protected BankloanBillVO[] processBP(Object userObj,
                        BankloanBillVO[] clientFullVOs, BankloanBillVO[] originBills) {
                BankloanBillVO[] bills = null;
                IBankloanhvoMaintain operator = NCLocator.getInstance().lookup(
                                IBankloanhvoMaintain.class);
                try {
                        bills = operator.approve(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return bills;
        }

}
