
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;
import nc.vo.zjnytwo_cd.bankaccounts.BankaccountsBillVO;
import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.pub.pf.BillStatusEnum;

/**
 * 标准单据收回的BP
 */
public class AceBankaccountsHVOUnSendApproveBP {

        public BankaccountsBillVO[] unSend(BankaccountsBillVO[] clientBills,
                        BankaccountsBillVO[] originBills) {
                // 把VO持久化到数据库中
                this.setHeadVOStatus(clientBills);
                BillUpdate<BankaccountsBillVO> update = new BillUpdate<BankaccountsBillVO>();
                BankaccountsBillVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

        private void setHeadVOStatus(BankaccountsBillVO[] clientBills) {
                for (BankaccountsBillVO clientBill : clientBills) {
                        clientBill.getParentVO().setAttributeValue("${vmObject.billstatus}",
                                        BillStatusEnum.FREE.value());
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
        }
}
