
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;
import nc.vo.zjnytwo_cd.bankloan.BankloanBillVO;
import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.pub.pf.BillStatusEnum;

/**
 * 标准单据收回的BP
 */
public class AceBankloanHVOUnSendApproveBP {

        public BankloanBillVO[] unSend(BankloanBillVO[] clientBills,
                        BankloanBillVO[] originBills) {
                // 把VO持久化到数据库中
                this.setHeadVOStatus(clientBills);
                BillUpdate<BankloanBillVO> update = new BillUpdate<BankloanBillVO>();
                BankloanBillVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

        private void setHeadVOStatus(BankloanBillVO[] clientBills) {
                for (BankloanBillVO clientBill : clientBills) {
                        clientBill.getParentVO().setAttributeValue("${vmObject.billstatus}",
                                        BillStatusEnum.FREE.value());
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
        }
}
