
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditBillVO;
import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.pub.pf.BillStatusEnum;

/**
 * 标准单据收回的BP
 */
public class AceLettercreditHVOUnSendApproveBP {

        public LettercreditBillVO[] unSend(LettercreditBillVO[] clientBills,
                        LettercreditBillVO[] originBills) {
                // 把VO持久化到数据库中
                this.setHeadVOStatus(clientBills);
                BillUpdate<LettercreditBillVO> update = new BillUpdate<LettercreditBillVO>();
                LettercreditBillVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

        private void setHeadVOStatus(LettercreditBillVO[] clientBills) {
                for (LettercreditBillVO clientBill : clientBills) {
                        clientBill.getParentVO().setAttributeValue("${vmObject.billstatus}",
                                        BillStatusEnum.FREE.value());
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
        }
}
